Are there Web browsers that do not work with Friendio?
If you are using an old, outdated Web browser some features may not be available to you. For security reasons you really should upgrade your Web browser to the latest release since older Web browsers have many security flaws and are no longer supported.

Friendio works just fine with Internet Explorer 8 or above. If you're using Internet Explorer 7 or below you should upgrade to the latest version. The current stable version is IE 8 and the newest version is IE 9 (for Windows 7 only).

For FireFox users, visit Firefox.com to get the latest version.

For Safari users, visit Apple.com/safari to get the latest version. Warning: Safari has many problems with features on Friendio.

We recommend Google Chrome or Firefox, very fast browsers that support all features on Friendio.
feedback Feedback Text
3 people found this answer helpful.